org.bouncycastle.asn1.x500

## Class DirectoryString

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x500.DirectoryString

All Implemented Interfaces:
  ASN1Choice, DEREncodable, DERString

    public class DirectoryString
    extends ASN1Encodable
    implements ASN1Choice, DERString

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`DirectoryString(java.lang.String string)`

### Method Summary

Methods
`static DirectoryString` `getInstance(ASN1TaggedObject o, boolean explicit)`
`static DirectoryString` `getInstance(java.lang.Object o)`
`java.lang.String` `getString()`
`DERObject` `toASN1Object()` DirectoryString ::= CHOICE { teletexString TeletexString (SIZE (1..MAX)), printableString PrintableString (SIZE (1..MAX)), universalString UniversalString (SIZE (1..MAX)), utf8String UTF8String (SIZE (1..MAX)), bmpString BMPString (SIZE (1..MAX)) }
`java.lang.String` `toString()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DirectoryString

    public DirectoryString(java.lang.String string)

### Method Detail

#### getInstance

    public static DirectoryString getInstance(java.lang.Object o)

#### getInstance

    public static DirectoryString getInstance(ASN1TaggedObject o,
                              boolean explicit)

#### getString

    public java.lang.String getString()

Specified by:
  `getString` in interface `DERString`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toASN1Object

    public DERObject toASN1Object()

      DirectoryString ::= CHOICE {
        teletexString               TeletexString (SIZE (1..MAX)),
        printableString             PrintableString (SIZE (1..MAX)),
        universalString             UniversalString (SIZE (1..MAX)),
        utf8String                  UTF8String (SIZE (1..MAX)),
        bmpString                   BMPString (SIZE (1..MAX))  }

Specified by:
  `toASN1Object` in class `ASN1Encodable`